ProgressEvent

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.miscellaneous.client
Class ProgressEvent

    java.lang.Object
      org.openswing.swing.miscellaneous.client.ProgressEvent

public class ProgressEvent
extends java.lang.Object

Title: OpenSwing Framework

Description: Class used to store a progress bar event, used by the progress dialog to update progress bar showing and messages.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`ProgressEvent(double progressValue, java.lang.String mainTitle, java.lang.String mainMessage, java.lang.String[] text)` Constructor used to show

Method Summary
`java.lang.String` | `getMainMessage()`
`java.lang.String` | `getMainTitle()`
`double` | `getProgressValue()`
`java.lang.String[]` | `getText()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressEvent

    public ProgressEvent(double progressValue,
                         java.lang.String mainTitle,
                         java.lang.String mainMessage,
                         java.lang.String[] text)

  Constructor used to show

Parameters:
  `mainTitle` - main title to show in bold style
  `mainMessage` - main message to show in multiple lines
  `text` - text messages to show above the progress bar

Method Detail

### getMainMessage

    public final java.lang.String getMainMessage()

  Returns:
    main message to show in multiple lines

### getMainTitle

    public final java.lang.String getMainTitle()

  Returns:
    main title to show in bold style

### getProgressValue

    public final double getProgressValue()

  Returns:
    current progress bar value

### getText

    public final java.lang.String[] getText()

  Returns:
    text messages to show above the progress bar

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD